package org.king.modules.ad.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/6/8
 * @Version V1.0
 */
@Data
public class ComChargingDevice implements Serializable {
    private static final long serialVersionUID = 1L;

    private String serviceName;

    private String berthId;

    private String departNam;

    private String areaName;

    @Excel(name = "作业单位", width = 25)
    private String comName;

    private String type;

    private String status;

    private String voltage;

    @Excel(name = "月供电艘次", width = 15, isStatistics = true)
    private BigDecimal shipNum;

    @Excel(name = "月受电量(kW-h)", width = 15, isStatistics = true)
    private BigDecimal consumption;

}
