package org.king.modules.ad.handle;

import lombok.Data;
import org.king.modules.ad.service.IDepartService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/6/11
 * @Version V1.0
 */
@Component
@Data
public class EcgComDataInit {

    @Autowired
    private IDepartService departService;

    @PostConstruct
    public void init() {
        // 加载ecg和comNo与部门名称数据到redis
        departService.putEcgDepartDataToRedis();
    }
}
