package org.king.modules.ad.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.king.modules.ad.entity.AdChargingRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.king.modules.ad.entity.ChargeCount;

import org.king.modules.ad.entity.AdChargingStatistics;

import org.king.modules.ad.entity.ComChargingDevice;
import org.king.modules.ad.entity.ComChargingMonth;

/**
 * @Description: 受电记录
 * @Author: king-boot
 * @Date: 2021-06-07
 * @Version: V1.0
 */
public interface AdChargingRecordMapper extends BaseMapper<AdChargingRecord> {

    List<ComChargingMonth> listMonth(@Param("comNos") List<Object> comNos, @Param("comNo") String comNo, @Param("month") String month);

    List<ComChargingDevice> listDevice(@Param("comNos") List<Object> comNos, @Param("type") String type, @Param("status") String status);

    List<ChargeCount> getChargeByFive();

    ChargeCount getChargeData();

    List<AdChargingStatistics> queryChargingStatistics(@Param("type") String type);

}
