package org.king.modules.ad.mapper;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import org.king.modules.ad.entity.AdChargingStatistics;
import org.king.modules.ad.entity.Depart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.king.modules.ad.entity.DepartEcgComNo;

/**
 * @Description: 海事机构
 * @Author: king-boot
 * @Date: 2021-06-09
 * @Version: V1.0
 */
public interface AdDepartMapper extends BaseMapper<Depart> {

    List<AdChargingStatistics> queryJsDepart();

    List<JSONObject> queryDepartAndEcg();

    List<DepartEcgComNo> putEcgDepartDataToRedis();
}
