package org.king.modules.ad.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.king.modules.ad.entity.BaseShipInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 船舶基本信息
 * @Author: king-boot
 * @Date: 2021-06-15
 * @Version: V1.0
 */
public interface BaseShipInfoMapper extends BaseMapper<BaseShipInfo> {

    List<BaseShipInfo> getListBymmsi(@Param("mmsiS") String[] mmsiS);

}
