package org.king.modules.ad.service;

import org.king.modules.ad.entity.AdChargingRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import org.king.modules.ad.entity.AdChargingStatistics;
import org.king.modules.ad.entity.ComChargingDevice;
import org.king.modules.ad.entity.ComChargingMonth;

import java.util.List;

/**
 * @Description: 受电记录
 * @Author: king-boot
 * @Date: 2021-06-07
 * @Version: V1.0
 */
public interface IAdChargingRecordService extends IService<AdChargingRecord> {

    List<ComChargingMonth> listMonth(List<Object> departNo, String comNo, String month);

    List<ComChargingDevice> listDevice(List<Object> comNos, String type, String status);

    List<AdChargingStatistics> queryChargingStatistics(String type);
}
