package org.king.modules.ad.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.king.modules.ad.entity.AdChargingRecord;
import org.king.modules.ad.entity.AdChargingStatistics;
import org.king.modules.ad.entity.ComChargingDevice;
import org.king.modules.ad.entity.ComChargingMonth;
import org.king.modules.ad.mapper.AdChargingRecordMapper;
import org.king.modules.ad.service.IAdChargingRecordService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;

/**
 * @Description: 受电记录
 * @Author: king-boot
 * @Date: 2021-06-07
 * @Version: V1.0
 */
@Service
@DS("multi-datasource1")
public class AdChargingRecordServiceImpl extends ServiceImpl<AdChargingRecordMapper, AdChargingRecord> implements IAdChargingRecordService {

    @Override
    public List<ComChargingMonth> listMonth(List<Object> departNo, String comNo, String month) {
        return baseMapper.listMonth(departNo, comNo, month);
    }

    @Override
    public List<ComChargingDevice> listDevice(List<Object> comNos, String type, String status) {
        return baseMapper.listDevice(comNos, type, status);
    }

    @Override
    public List<AdChargingStatistics> queryChargingStatistics(String type) {
        return baseMapper.queryChargingStatistics(type);
    }
}
