package org.king.modules.ad.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.king.modules.ad.entity.AdShipFaultReport;
import org.king.modules.ad.mapper.AdShipFaultReportMapper;
import org.king.modules.ad.service.IAdShipFaultReportService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * @Description: 船舶故障报告
 * @Author: king-boot
 * @Date: 2021-06-07
 * @Version: V1.0
 */
@Service
@DS("multi-datasource1")
public class AdShipFaultReportServiceImpl extends ServiceImpl<AdShipFaultReportMapper, AdShipFaultReport> implements IAdShipFaultReportService {

}
