package org.king.modules.ad.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.apache.ibatis.annotations.Param;
import org.king.modules.ad.entity.BaseShipInfo;
import org.king.modules.ad.mapper.BaseShipInfoMapper;
import org.king.modules.ad.service.IBaseShipInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description: 船舶基本信息
 * @Author: king-boot
 * @Date: 2021-06-15
 * @Version: V1.0
 */
@Service
@DS("multi-datasource1")
public class BaseShipInfoServiceImpl extends ServiceImpl<BaseShipInfoMapper, BaseShipInfo> implements IBaseShipInfoService {

    @Resource
    BaseShipInfoMapper baseShipInfoMapper;

    public List<BaseShipInfo> getListBymmsi(String[] mmsiS){
         return baseShipInfoMapper.getListBymmsi(mmsiS);
    }

}
