package org.king.common.constant;

/**
 * 错误code
 * @author huangcheng
 * @since 2019-10-30
 */
public interface ErrorConstant {

    // 公共部分错误code

    /** 参数校验错误 */
    Integer SC_PARAM_VALIDATOR_ERROR_400 = 400;
    /** 路径不正确 */
    Integer SC_NOT_FOUND_404 = 404;
    /** {@code 500 Server Error} (HTTP/1.0 - RFC 1945) */
    Integer SC_INTERNAL_SERVER_ERROR_500 = 500;
    /** 访问权限认证未通过 510 */
    Integer SC_KING_NO_AUTHZ = 510;


    // 业务部分错误code
    /** 微信公众号未授权 */
    Integer MP_UNAUTHORIZED_10000 = 10000;

    /** token失效，重新登录 */
    Integer YW_TOKEN_INVALID_10001 = 10001;

    /** token为空 */
    Integer YW_TOKEN_NULL_10002 = 10002;

}
