package org.king.common.system.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 支付请求参数
 * </p>
 *
 * @Author king
 * @since 2020年07月24日
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayGoodsModel {

	/**
	 * 商品名称
	 */
	private String goodsName;

	/**
	 * 支付金额（单位：分）
	 */
	private String amount;

	/**
	 * 商品订单号
	 */
	private String orderId;

	/**
	 * 下单人id
	 * 微信：openid
	 * 支付宝：
	 * 银联：
	 */
	private String userId;

}
