package org.king.modules.ad.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.king.common.aspect.annotation.Dict;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/6/8
 * @Version V1.0
 */
@Data
public class ComChargingMonth implements Serializable {
    private static final long serialVersionUID = 1L;

    @Excel(name = "作业单位", width = 25)
    private String comName;

    @Excel(name = "月供电艘次", width = 15, isStatistics = true)
    private BigDecimal shipNum;

    @Excel(name = "月受电量(kW-h)", width = 15, isStatistics = true)
    private BigDecimal consumption;

    @Excel(name = "月受电时长", width = 15, isStatistics = true)
    private BigDecimal chargeLength;

}
